@import url("https://fonts.googleapis.com/css?family=Roboto&display=swap");

:root {
	--panel-title-background-color: hsla(78, 32%, 8%, 0.514);
	--white-color: hsl(0, 0%, 100%);
	--gradient-background-color: hsla(274, 74%, 31%, 0.725), hsl(0, 0%, 7%);
	--info: hsl(0, 0%, 80%);
}

* {
	box-sizing: border-box;
}

body {
	font-family: 'Roboto', sans-serif;
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	margin: 0;
	overflow: hidden;
	background: radial-gradient(var(--gradient-background-color));
}

h1 {
	color: var(--white-color);
	text-align: center;
	padding: 7px;
	margin: 10px;
}

/* Panel background image section */

.panel1 {
	background-image: url('../build/img/panel01-exploreTheWorld.webp');
}

.panel2 {
	background-image: url('../build/img/panel02-wildForest.webp');
}

.panel3 {
	background-image: url('../build/img/panel03-sunnyBeach.webp');
}

.panel4 {
	background-image: url('../build/img/panel04-cityOnWinter.webp');
}

.panel5 {
	background-image: url('../build/img/panel05-mountains.webp');
}


/* Container styles section */

.container {
	height: 100vh;
}

.cards-container {
	display: flex;
	width: 90vw;
}

.panel {
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	height: 75vh;
	border-radius: 25px;
	border: groove 2px var(--white-color);
	color: var(--white-color);
	cursor: pointer;
	flex-grow: 1;
	margin: 5px;
	position: relative;
	transition: flex 0.7s ease-in;
}

.panel h2 {
	font-size: 20px;
	position: absolute;
	bottom: 20px;
	left: 20px;
	margin: 0;
	opacity: 0;
	transition: opacity 0.7s ease-out 0.4s
}

.panel.active {
	flex-grow: 5;
}

.panel.active h2 {
	opacity: 1;
	background-color: var(--panel-title-background-color);
}

.info {
	width: fit-content;
	margin: 0 auto;
	opacity: .8;
	color: var(--info);
	text-align: center;
}

.info p {
	margin: 5px;
}

.info:hover {
	opacity: .7;
	color: var(--white-color);
}

.tools-container {
	text-align: center;
	padding: 10px;
}

.tools-container svg:hover {
	transform: scale(1.3);
	transition: all .5s ease-in-out;
}